
QGIS Application - Bug report #10706

v.clean.advanced (maybe others) not working if QGIS installed in non standard paths

2014-06-24 04:11 PM - baditaflorin -

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GRASS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 19099

Description

An error has occured while executing Python code:

Traceback (most recent call last):

  File "C:/Users/florin/.qgis2/python/plugins\\processing\\gui\\ProcessingToolbox.py", line 183, in executeAlgorithm

    message = alg.checkBeforeOpeningParametersDialog()

  File "C:/Users/florin/.qgis2/python/plugins\\processing\\algs\\grass7\\Grass7Algorithm.py", line 511, in

checkBeforeOpeningParametersDialog

    msg = Grass7Utils.checkGrass7IsInstalled()

  File "C:/Users/florin/.qgis2/python/plugins\\processing\\algs\\grass7\\Grass7Utils.py", line 361, in checkGrass7IsInstalled

    cmdpath = os.path.join(path, 'bin', 'r.out.gdal.exe')

  File "F:\\QGISWE~1\\apps\\Python27\\lib\

tpath.py", line 96, in join

    assert len(path) > 0

TypeError: object of type 'NoneType' has no len()

Python version:

2.7.5 (default, May 15 2013, 22:44:16) [MSC v.1500 64 bit (AMD64)]

QGIS version:

2.3.0-Master Master, d62a498

Python path: ['C:/Users/florin/.qgis2/python/plugins\\\\processing', 'C:\\\\Users\\\\florin\\\\.qgis2\\\\python\\\\plugins\\\\GeoCoding',

'F:/QGISWE~1/apps/qgis-dev/./python', u'C:/Users/florin/.qgis2/python', u'C:/Users/florin/.qgis2/python/plugins',

'F:/QGISWE~1/apps/qgis-dev/./python/plugins', 'F:\\\\QGISWE~1\\\\bin\\\\python27.zip', 'F:\\\\QGISWE~1\\\\apps\\\\Python27\\\\DLLs',

'F:\\\\QGISWE~1\\\\apps\\\\Python27\\\\lib', 'F:\\\\QGISWE~1\\\\apps\\\\Python27\\\\lib\\\\plat-win',

'F:\\\\QGISWE~1\\\\apps\\\\Python27\\\\lib\\\\lib-tk', 'F:\\\\QGISWE~1\\\\bin', 'F:\\\\QGISWE~1\\\\apps\\\\Python27',

'F:\\\\QGISWE~1\\\\apps\\\\Python27\\\\lib\\\\site-packages', 'F:\\\\QGISWE~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\PIL',

'F:\\\\QGISWE~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\jinja2-2.7.2-py2.7.egg',

'F:\\\\QGISWE~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\markupsafe-0.23-py2.7-win-amd64.egg',

'F:\\\\QGISWE~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\pytz-2012j-py2.7.egg',

'F:\\\\QGISWE~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32',

'F:\\\\QGISWE~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32\\\\lib',

'F:\\\\QGISWE~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Pythonwin',

'F:\\\\QGISWE~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Shapely-1.2.18-py2.7-win-amd64.egg',

'F:\\\\QGISWE~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\six-1.3.0-py2.7.egg',

'F:\\\\QGISWE~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode',

'F:\\\\QGISWE~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\xlrd-0.9.2-py2.7.egg',

'F:\\\\QGISWE~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\xlwt-0.7.5-py2.7.egg',

'C:/Users/florin/.qgis2/python/plugins\\\\DataDrivenInputMask', 'C:\\\\Users\\\\florin\\\\.qgis2\\\\python\\\\plugins\\\\mmqgis/forms',
'F:\\\\QGISWE~1\\\\apps\\\\qgis-dev\\\\python\\\\plugins\\\\fTools\\\\tools']

History

#1 - 2014-06-24 09:35 PM - Paolo Cavallini

- Status changed from Open to Feedback

Is GRASS7 installed on your machine?

#2 - 2014-06-25 02:56 AM - Giovanni Manghi

- Category changed from GRASS to 94

- Affected QGIS version changed from 2.2.0 to master

#3 - 2014-06-25 03:28 AM - Giovanni Manghi

I have QGIS master installed with both the osgeo4w installer (that ships GRASS7) and with the weekly standalone installer.

On OSgeo4w Processing/GRASS7 works, while with the standalone (installed in c: not f: and in the above description) it does not (please notice that I have

no "processing" folder in c:\\users\\myusername\\.qgis2\\python\\plugins, to avoid having an older version of Processing masking the latest code available

with qgis master): the standalone installer does not ships with GRASS 7 but in the Processing configurations it can (usually) be fooled and tell him to use

another GRASS installation (the one from Osgeo4w)

Anyway I don't get that python error, I get just a "Missing dependency.This algorithm cannot be run :-(" that may be just mean that there is something wrong

with Processing and the standalone installer or may be it is just that the weekly snapshot misses something that is already in osgeo4w.

I would like you to:

test osgeo4w/qgis master/grass7

try install the weekly standalone in c: and see if the python error disappear

check that you don't have a "processing" folder in c:\\users\\myusername\\.qgis2\\python\\plugins, if yes delete it

#4 - 2014-06-28 07:45 AM - Jürgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#5 - 2014-06-30 08:52 AM - baditaflorin -

The problems seems to be because i have it installed in F:

#6 - 2014-06-30 03:23 PM - Giovanni Manghi

- Subject changed from v.clean.advanced not working to v.clean.advanced (maybe others) not working if QGIS installed in non standard paths

- Assignee set to Victor Olaya

- Target version changed from Future Release - High Priority to Future Release - Lower Priority

baditaflorin - wrote:

The problems seems to be because i have it installed in F:
are non standard installation paths supported?

#7 - 2014-10-09 07:40 AM - Alexander Bruy

- Category changed from 94 to Processing/GRASS

#8 - 2015-06-01 10:47 AM - Giovanni Manghi

- Resolution set to wontfix

- Status changed from Feedback to Closed
